Bug 861455 - [abrt] python-2.7.3-7.2.fc17: g_settings_schema_get_value: Process /usr/bin/python2.7 was killed by signal 5 (SIGTRAP)
[abrt] python-2.7.3-7.2.fc17: g_settings_schema_get_value: Process /usr/bin/p...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:62263f4ac89c464647013327334...
:
: 875017 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 12:14 EDT by Luciano Coppola
Modified: 2013-08-01 00:22 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:22:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (6.78 KB, text/plain)
2012-09-28 12:14 EDT, Luciano Coppola
no flags Details
File: environ (1.31 KB, text/plain)
2012-09-28 12:14 EDT, Luciano Coppola
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-28 12:14 EDT, Luciano Coppola
no flags Details
File: backtrace (82.89 KB, text/plain)
2012-09-28 12:14 EDT, Luciano Coppola
no flags Details
File: cgroup (130 bytes, text/plain)
2012-09-28 12:14 EDT, Luciano Coppola
no flags Details
File: maps (32.20 KB, text/plain)
2012-09-28 12:14 EDT, Luciano Coppola
no flags Details
File: dso_list (11.92 KB, text/plain)
2012-09-28 12:14 EDT, Luciano Coppola
no flags Details
File: open_fds (498 bytes, text/plain)
2012-09-28 12:14 EDT, Luciano Coppola
no flags Details
File: var_log_messages (152 bytes, text/plain)
2012-09-28 12:14 EDT, Luciano Coppola
no flags Details

  None (edit)
Description Luciano Coppola 2012-09-28 12:14:09 EDT
Version-Release number of selected component:
python-2.7.3-7.2.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        python /usr/bin/gnome-sudoku
crash_function: g_settings_schema_get_value
kernel:         3.5.4-1.fc17.i686.PAE

truncated backtrace:
:Thread no. 1 (10 frames)
: #2 g_settings_schema_get_value at gsettingsschema.c
: #3 g_settings_schema_key_init at gsettingsschema.c
: #4 g_settings_get_value at gsettings.c
: #5 g_settings_get_boolean at gsettings.c
: #6 ffi_call_SYSV at ../src/x86/sysv.S
: #7 ffi_call at ../src/x86/ffi.c
: #8 g_callable_info_invoke at girepository/gicallableinfo.c
: #9 g_function_info_invoke at girepository/gifunctioninfo.c
: #10 _invoke_callable at pygi-invoke.c
: #11 _wrap_g_callable_info_invoke at pygi-invoke.c
Comment 1 Luciano Coppola 2012-09-28 12:14:14 EDT
Created attachment 618688 [details]
File: core_backtrace
Comment 2 Luciano Coppola 2012-09-28 12:14:16 EDT
Created attachment 618689 [details]
File: environ
Comment 3 Luciano Coppola 2012-09-28 12:14:18 EDT
Created attachment 618690 [details]
File: limits
Comment 4 Luciano Coppola 2012-09-28 12:14:22 EDT
Created attachment 618691 [details]
File: backtrace
Comment 5 Luciano Coppola 2012-09-28 12:14:24 EDT
Created attachment 618692 [details]
File: cgroup
Comment 6 Luciano Coppola 2012-09-28 12:14:27 EDT
Created attachment 618693 [details]
File: maps
Comment 7 Luciano Coppola 2012-09-28 12:14:29 EDT
Created attachment 618694 [details]
File: dso_list
Comment 8 Luciano Coppola 2012-09-28 12:14:31 EDT
Created attachment 618695 [details]
File: open_fds
Comment 9 Luciano Coppola 2012-09-28 12:14:33 EDT
Created attachment 618696 [details]
File: var_log_messages
Comment 10 Dave Malcolm 2012-11-09 11:30:52 EST
*** Bug 875017 has been marked as a duplicate of this bug. ***
Comment 11 Dave Malcolm 2012-11-09 11:34:41 EST
Thanks for filing these bug reports.

Looking at attachment 618691 [details] in thread 1 I see that gnome-sudoku was attempting to read the gsettings value "always_show_hints" but was issuing an error message using this format string:
  "Settings schema '%s' does not contain a key named '%s'"

Reassigning from python to gnome-sudoku for now (but could be a bug in gsettings, I guess).
Comment 12 Dave Malcolm 2012-11-09 11:38:35 EST
(In reply to comment #11)
[...]
> Reassigning from python to gnome-sudoku for now (but could be a bug in
> gsettings, I guess).
gnome-sudoku appears to currently be orphaned; reassigning again, this time to glib2 (which gsettings is part of).  (Might also perhaps be an issue with the dynamic invocation of the gsettings code through pygobject/gir file???)
Comment 13 sullivanst 2013-01-12 22:16:21 EST
In sudoku, enter some top notes, then use either the menu or the keyboard shortcut (Ctrl+J) to attempt to clear them all.

backtrace_rating: 4
Package: python-2.7.3-13.fc18
OS Release: Fedora release 18 (Spherical Cow)
Comment 14 Fedora End Of Life 2013-07-03 20:33:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2013-08-01 00:22:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.